Next: windres, Previous: addr2line, Up: Top

## 11 nlmconv

nlmconv converts a relocatable object file into a NetWare Loadable Module.

> Warning: nlmconv is not always built as part of the binary utilities, since it is only useful for NLM targets.

         nlmconv [-I bfdname|--input-target=bfdname]
                 [-O bfdname|--output-target=bfdname]
                 [-T headerfile|--header-file=headerfile]
                 [-d|--debug] [-l linker|--linker=linker]
                 [-h|--help] [-V|--version]
                 infile outfile

nlmconv converts the relocatable i386 object file infile into the NetWare Loadable Module outfile, optionally reading headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see the linkers section, NLMLINK in particular, of the NLM Development and Tools Overview, which is part of the NLM Software Developer's Kit (“NLM SDK”), available from Novell, Inc. nlmconv uses the gnu Binary File Descriptor library to read infile; see BFD (Using LD), for more information.

nlmconv can perform a link step. In other words, you can list more than one object file for input if you list them in the definitions file (rather than simply specifying one input file on the command line). In this case, nlmconv calls the linker for you.

-I bfdname
--input-target=bfdname
  Object format of the input file. nlmconv can usually determine the format of a given file (so no default is necessary). See Target Selection, for more information.
-O bfdname
--output-target=bfdname
  Object format of the output file. nlmconv infers the output format based on the input format, e.g. for a i386 input file the output format is nlm32-i386. See Target Selection, for more information.
-T headerfile
--header-file=headerfile
  Reads headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see see the linkers section, of the NLM Development and Tools Overview, which is part of the NLM Software Developer's Kit, available from Novell, Inc.
-d
--debug
  Displays (on standard error) the linker command line used by nlmconv.
-l linker
--linker=linker
  Use linker for any linking. linker can be an absolute or a relative pathname.
-h
--help
  Prints a usage summary.
-V
--version
  Prints the version number for nlmconv.